Commet
  • Pricing
Log InTry out
Add plan to group POSTCreate plan group POSTDelete plan group DELETEGet plan group GETList plan groups GETRemove plan from group DELETEReorder plans in group PUTUpdate plan group PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Create plan group

Create a new plan group for organizing plans.

Add plan to group POST

Add an existing plan to a plan group with optional sort order.

Delete plan group DELETE

Delete a plan group. Plans in the group are unlinked, not deleted.

POST
/plan-groups

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
1 <= length
description?string
isPublic?boolean
Length

Response Body

application/json

application/json

curl -X POST "https://commet.co/api/v1/plan-groups" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'

Name of the plan group

Optional description

Visibility (defaults to true)

Create a new plan group for organizing plans.

{
  "success": true,
  "data": {
    "object": "plan_group",
    "livemode": true,
    "id": "string",
    "name": "string",
    "description": "string",
    "isPublic": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt"

{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
"2019-08-24T14:15:22Z"
}
}